@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  baqend startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%.

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set PATH=%APP_HOME%\bin;%APP_HOME%\jre\bin;%PATH%
set CLASSPATH=%APP_HOME%\lib\*

@rem Execute redis
START /B "" redis-server > "%APP_HOME%\logs\redis.log"
@rem Execute mongo
START /B "" mongod --storageEngine wiredTiger --dbpath "%APP_HOME%\data\db" > "%APP_HOME%\logs\mongodb.log"
@rem Execute baqend
START /B "" java %DEFAULT_JVM_OPTS% %JAVA_OPTS%  -classpath "%CLASSPATH%" info.orestes.launcher.Launcher --config %APP_HOME%\conf\config.json --with-mongo --with-gridfs %CMD_LINE_ARGS%

TIMEOUT /T 5 > nul
START "" "http://localhost:8080"

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable BAQEND_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%BAQEND_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
